## class SG_EXPORT osg::Array

## Inheritance:

### Public Methods

Array(Type arrayType=ArrayType, GLint dataSize=0, GLenum dataType=0)
Array(const Array& array, const CopyOp& copyop=CopyOp::SHALLOW_COPY)
virtual bool isSameKindAs(const Object* obj) const
virtual const char* libraryName() const
virtual const char* className() const
virtual void accept(ArrayVisitor&) = 0
virtual void accept(ConstArrayVisitor&) const = 0
virtual void accept(unsigned int index, ValueVisitor&) = 0
virtual void accept(unsigned int index, ConstValueVisitor&) const = 0
Type getType() const
GLint getDataSize() const
GLenum getDataType() const
virtual const GLvoid* getDataPointer() const = 0
virtual unsigned int getTotalDataSize() const = 0
virtual unsigned int getNumElements() const = 0

### Public Members

enum Type

### Protected Fields

Type _arrayType
GLint _dataSize
GLenum _dataType

### Protected Methods

virtual ~Array()

### Inherited from Object:

### Public Methods

virtual Object* cloneType() const
virtual Object* clone(const CopyOp&) const
inline void setDataVariance(DataVariance dv)
inline DataVariance getDataVariance() const
inline void setUserData(Referenced* obj)
inline Referenced* getUserData()
inline const Referenced* getUserData() const

### Public Members

enum DataVariance

### Protected Fields

DataVariance _dataVariance
ref_ptr<Referenced> _userData

### Inherited from Referenced:

### Public Methods

inline Referenced& operator = (Referenced&)
static void setDeleteHandler(DeleteHandler* handler)
static DeleteHandler* getDeleteHandler()
inline void ref() const
inline void unref_nodelete() const
inline int referenceCount() const
inline void unref() const

### Protected Fields

mutable int _refCount

## Documentation

`enum Type`

`ArrayType`

`ByteArrayType`

`ShortArrayType`

`IntArrayType`

`UByteArrayType`

`UShortArrayType`

`UIntArrayType`

`UByte4ArrayType`

`FloatArrayType`

`Vec2ArrayType`

`Vec3ArrayType`

`Vec4ArrayType`

`Array(Type arrayType=ArrayType, GLint dataSize=0, GLenum dataType=0)`

`Array(const Array& array, const CopyOp& copyop=CopyOp::SHALLOW_COPY)`

`virtual bool isSameKindAs(const Object* obj) const`

`virtual const char* libraryName() const`

`virtual const char* className() const`

`virtual void accept(ArrayVisitor&) = 0`

`virtual void accept(ConstArrayVisitor&) const = 0`

`virtual void accept(unsigned int index, ValueVisitor&) = 0`

`virtual void accept(unsigned int index, ConstValueVisitor&) const = 0`

`Type getType() const`

`GLint getDataSize() const`

`GLenum getDataType() const`

`virtual const GLvoid* getDataPointer() const = 0`

`virtual unsigned int getTotalDataSize() const = 0`

`virtual unsigned int getNumElements() const = 0`

`virtual ~Array()`

`Type _arrayType`

`GLint _dataSize`

`GLenum _dataType`

Direct child classes:
  TemplateArray
  IndexArray

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.